package android.support.transition;

import android.view.View;

class ChangeTransform$a extends ad {
    private View mView;
    private j yg;

    ChangeTransform$a(View view, j jVar) {
        this.mView = view;
        this.yg = jVar;
    }

    public final void a(Transition transition) {
        transition.b(this);
        k.A(this.mView);
        this.mView.setTag(2131820684, null);
        this.mView.setTag(2131820647, null);
    }

    public final void cO() {
        this.yg.setVisibility(4);
    }

    public final void cP() {
        this.yg.setVisibility(0);
    }
}
